'Copyright (C) 2009 Christiaan Cable
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; either version 3
'of the License, or (at your option) any later version.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details (LICENCE.TXT).

Public Class WallpaperFormData
    'general
    Public FormType As Integer
    '0=ispusage
    '1=webimage
    Public Width As String
    Public Height As String
    Public X As String
    Public Y As String

    'Web form
    Public ShowLabel As Boolean
    Public Label As String
    Public URL As String
    Public StretchImage As Boolean
    Public MaintainAspectRatio As Boolean
    Public Zoom As Boolean
    Public ZoomX As String
    Public ZoomY As String
    Public ZoomWidth As String
    Public ZoomHeight As String
    Public ShowBackground As Boolean
    Public BackColour As String
    Public ForeColour As String
    Public Opacity As String

    Public Sub New(ByVal intFormType As Integer)
        FormType = intFormType
    End Sub

    Public Overrides Function ToString() As String
        If FormType = 0 Then
            Return "ISPUsage"
        ElseIf FormType = 1 Then
            Return "WebImage  " & Label
        Else
            Return Nothing
        End If
    End Function
End Class
